
Foreman - Bug #2709

Foreman stores compute_resource passwords in plaintext

06/25/2013 12:42 PM - Kal Aeolian

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman stores the user credentials for compute_resources (vmware in our case) in plain-text. We will have an API user that has full

access into the specific datacenters we'll use. Assuming we've done our homework, no one should have access to this, but it

exposes a very sensitive piece of info in plain-text that should not be that way.

Expected behavior would be a hashed password being stored.

(The database is dumped for backup, and perhaps people who have access to the backups shouldn't have access to a plain-text

version of this password.)

Related issues:

Is duplicate of Foreman - Feature #2424: encrypt compute resource password Closed 04/24/2013

History

#1 - 06/25/2013 12:44 PM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  It's a duplicate of #2424, closing.

#2 - 07/15/2013 04:24 AM - Joseph Magen

Kal, do you have any suggestions how to store a unique encryption key for each Foreman installation?

Follow the discussion on https://github.com/theforeman/foreman/pull/568

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://projects.theforeman.org/issues/2424
https://github.com/theforeman/foreman/pull/568
http://www.tcpdf.org

